#
# Product Manager
#
# (C) Copyright 2000,2001 The Internet (Aust) Pty Ltd
# ACN: 082 081 472  ABN: 83 082 081 472
# All Rights Reserved
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# Author: Andrew Milton <akm@theinternet.com.au>

# A class to manage adding via multiple pages.

from Globals import DTMLFile
from Persistence import Persistent
from Acquisition import Implicit

class FormWizard(Persistent, Implicit):
	""" We need a docstring to make us callable """
	index_html=None
	def __init__(self, pages, method, prefix=''):
		self.pages=pages
		self.method=method
		self.prefix=prefix

		for p in self.pages:
			if self.prefix:
				page='../%s/%s'%(prefix, p)
			else:
				page = p
				
			d = DTMLFile(page, globals())
			setattr(self, p, d)
			
	def __call__(self, REQUEST):
		""" Gimme some lovin' baby """
		if REQUEST.form.has_key('finish'):
			m = getattr(self.aq_parent, self.method)
			return m(REQUEST)

		if not REQUEST.has_key('currentPage'):
			p = 0
		else:
			p = int(REQUEST['currentPage'])
		
		if REQUEST.form.has_key('next_page'):
			if len(self.pages) >= (p):
				return getattr(self, self.pages[p])(self, REQUEST)
			else:
				return getattr(self, self.pages[p-1])(self, REQUEST)

		if REQUEST.form.has_key('prev_page'):
			if p > 1:
				return getattr(self, self.pages[p-2])(self, REQUEST)

		return getattr(self, self.pages[0])(self, REQUEST)
		
	def dumpFormFields(self, REQUEST):
		""" dump the form fields as hidden values """
		a = ''

		for k in REQUEST.form.keys():
			if k == 'next_page' or k =='prev_page' or k=='currentPage':
				continue
			if type(REQUEST.form[k]) is type([]):
				l = REQUEST.form[k]
				for li in l:
					a = a + '<input type="HIDDEN" name="%s:list" value="%s">'%(
						k, li)
			else:
				a = a + '<input type="HIDDEN" name="%s" value="%s">'%(
					k, REQUEST.form[k])
			a = a + '\n'
		return a
