--
-- Selected TOC Entries:
--
\connect - akm
--
-- TOC Entry ID 3 (OID 158391)
--
-- Name: licenses Type: TABLE Owner: akm
--

CREATE TABLE "licenses" (
	"tag" character varying(32) NOT NULL,
	"label" character varying(64) NOT NULL,
	Constraint "licenses_pkey" Primary Key ("tag")
);

--
-- TOC Entry ID 4 (OID 158405)
--
-- Name: categories Type: TABLE Owner: akm
--

CREATE TABLE "categories" (
	"categoryname" character varying(64) NOT NULL,
	Constraint "categories_pkey" Primary Key ("categoryname")
);

--
-- TOC Entry ID 5 (OID 158418)
--
-- Name: statuses Type: TABLE Owner: akm
--

CREATE TABLE "statuses" (
	"statusname" character varying(64) NOT NULL
);

--
-- TOC Entry ID 6 (OID 158428)
--
-- Name: productdatabases Type: TABLE Owner: akm
--

CREATE TABLE "productdatabases" (
	"tag" character varying(32) NOT NULL,
	"label" character varying(64) NOT NULL,
	Constraint "productdatabases_pkey" Primary Key ("tag")
);

--
-- TOC Entry ID 7 (OID 158442)
--
-- Name: operatingsystems Type: TABLE Owner: akm
--

CREATE TABLE "operatingsystems" (
	"tag" character varying(32) NOT NULL,
	"label" character varying(64) NOT NULL,
	Constraint "operatingsystems_pkey" Primary Key ("tag")
);

--
-- TOC Entry ID 8 (OID 158456)
--
-- Name: cpus Type: TABLE Owner: akm
--

CREATE TABLE "cpus" (
	"cpu" character varying(32) NOT NULL,
	Constraint "cpus_pkey" Primary Key ("cpu")
);

--
-- TOC Entry ID 2 (OID 158469)
--
-- Name: packages_package_id_seq Type: SEQUENCE Owner: akm
--

CREATE SEQUENCE "packages_package_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 9 (OID 158488)
--
-- Name: package_dependencies Type: TABLE Owner: akm
--

CREATE TABLE "package_dependencies" (
	"package_id" integer NOT NULL,
	"dependency_id" integer NOT NULL,
	Constraint "p_d_pkey" Primary Key ("package_id")
);

--
-- TOC Entry ID 10 (OID 158502)
--
-- Name: package_download_sites Type: TABLE Owner: akm
--

CREATE TABLE "package_download_sites" (
	"package_id" integer NOT NULL,
	"download_site" character varying(255) NOT NULL,
	Constraint "p_d_s_pkey" Primary Key ("package_id")
);

--
-- TOC Entry ID 11 (OID 158516)
--
-- Name: package_databases Type: TABLE Owner: akm
--

CREATE TABLE "package_databases" (
	"package_id" integer NOT NULL,
	"database" character varying(32) NOT NULL,
	Constraint "p_db_pkey" Primary Key ("package_id")
);

--
-- TOC Entry ID 12 (OID 158536)
--
-- Name: package_cpus Type: TABLE Owner: akm
--

CREATE TABLE "package_cpus" (
	"package_id" integer NOT NULL,
	"cpu" character varying(32) NOT NULL,
	Constraint "p_cpu_pkey" Primary Key ("package_id")
);

--
-- TOC Entry ID 13 (OID 158556)
--
-- Name: package_platforms Type: TABLE Owner: akm
--

CREATE TABLE "package_platforms" (
	"package_id" integer NOT NULL,
	"platform" character varying(32) NOT NULL,
	Constraint "p_os_pkey" Primary Key ("package_id")
);

--
-- TOC Entry ID 14 (OID 158576)
--
-- Name: packages Type: TABLE Owner: akm
--

CREATE TABLE "packages" (
	"package_id" integer DEFAULT nextval('"packages_package_id_seq"'::text) NOT NULL,
	"name" character varying(64) NOT NULL,
	"version" character varying(32) NOT NULL,
	"category" character varying(32) NOT NULL,
	"author" character varying(64) NOT NULL,
	"type" character varying(32) NOT NULL,
	"website" character varying(255),
	"description" text,
	"status" character varying(32) NOT NULL,
	"dbrequired" character varying(16) NOT NULL,
	"osversion" character varying(64) NOT NULL,
	"license" character varying(32) NOT NULL,
	"installed" integer,
	"creation_date" timestamp with time zone,
	"modified_date" timestamp with time zone,
	Constraint "packages_pkey" Primary Key ("package_id")
);

--
-- TOC Entry ID 21 (OID 158531)
--
-- Name: "RI_ConstraintTrigger_158530" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "package_databases"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'package_databases', 'productdatabases', 'UNSPECIFIED', 'database', 'tag');

--
-- TOC Entry ID 15 (OID 158533)
--
-- Name: "RI_ConstraintTrigger_158532" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "productdatabases"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'package_databases', 'productdatabases', 'UNSPECIFIED', 'database', 'tag');

--
-- TOC Entry ID 16 (OID 158535)
--
-- Name: "RI_ConstraintTrigger_158534" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "productdatabases"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'package_databases', 'productdatabases', 'UNSPECIFIED', 'database', 'tag');

--
-- TOC Entry ID 22 (OID 158551)
--
-- Name: "RI_ConstraintTrigger_158550" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "package_cpus"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'package_cpus', 'cpus', 'UNSPECIFIED', 'cpu', 'cpu');

--
-- TOC Entry ID 19 (OID 158553)
--
-- Name: "RI_ConstraintTrigger_158552" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "cpus"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'package_cpus', 'cpus', 'UNSPECIFIED', 'cpu', 'cpu');

--
-- TOC Entry ID 20 (OID 158555)
--
-- Name: "RI_ConstraintTrigger_158554" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "cpus"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'package_cpus', 'cpus', 'UNSPECIFIED', 'cpu', 'cpu');

--
-- TOC Entry ID 23 (OID 158571)
--
-- Name: "RI_ConstraintTrigger_158570" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "package_platforms"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'package_platforms', 'operatingsystems', 'UNSPECIFIED', 'platform', 'tag');

--
-- TOC Entry ID 17 (OID 158573)
--
-- Name: "RI_ConstraintTrigger_158572" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "operatingsystems"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'package_platforms', 'operatingsystems', 'UNSPECIFIED', 'platform', 'tag');

--
-- TOC Entry ID 18 (OID 158575)
--
-- Name: "RI_ConstraintTrigger_158574" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "operatingsystems"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'package_platforms', 'operatingsystems', 'UNSPECIFIED', 'platform', 'tag');

